fork.cpp File Reference
`#include <core/posix/exit.h>`
`#include <core/posix/fork.h>`
`#include "backtrace.h"`
`#include <iomanip>`
`#include <iostream>`
`#include <system_error>`
`#include <unistd.h>`
Include dependency graph for fork.cpp:

Go to the source code of this file.

## Namespaces

| core
| core::posix

## Functions

bool | core::posix::is_child (pid_t pid)
CORE_POSIX_DLL_PUBLIC ChildProcess | core::posix::fork (const std::function< posix::exit::Status()> &main, const StandardStream &flags)
| fork forks a new process and executes the provided main function in the newly forked process. More...
CORE_POSIX_DLL_PUBLIC ChildProcess | core::posix::vfork (const std::function< posix::exit::Status()> &main, const StandardStream &flags)
| fork vforks a new process and executes the provided main function in the newly forked process. More...